%global enable_tests 0
%global npm_name formidable

%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%{?scl:
%define _use_internal_dependency_generator 0
%define __find_requires %{_rpmconfigdir}/%{scl_prefix}require.sh
%define __find_provides %{_rpmconfigdir}/%{scl_prefix}provide.sh}

Name:       %{?scl_prefix}nodejs-%{npm_name}
Version:    1.0.14
Release:    3%{?dist}
Summary:    A Node.js module for parsing form data, especially file uploads
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/felixge/node-formidable
Source0:    http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  %{?scl_prefix}nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(findit)
BuildRequires:  npm(gently)
BuildRequires:  npm(hashish)
BuildRequires:  npm(urun)
BuildRequires:  npm(utest)
%endif

%description
This is a Node.js module for parsing form data, especially file uploads.
It was developed for Transloadit, a service focused on uploading and encoding
images and videos.

It offers:
 - Fast (~500mb/sec), non-buffering multipart parser
 - Automatically writing file uploads to disk
 - Low memory footprint
 - Graceful error handling
 - Very high test coverage


%prep
%setup -q -n package
rm -rf node-gently/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr package.json index.js lib/ tool/ \
    %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test/run.js
%endif


%files
%doc LICENSE Readme.md example/
%{nodejs_sitelib}/%{npm_name}


%changelog
* Mon Aug 05 2013 Troy Dawson <tdawson@redhat.com> - 1.0.14-3
- Add support for software collections

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.14-2
- restrict to compatible arches

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.14-1
- update to upstream release 1.0.14
- patch for node version now fixed upstream

* Wed Mar 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.13-1
- update to upstream release 1.0.13

* Fri Mar 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.12-1
- update to upstream release 1.0.12
- use LICENSE file that is now included in the tarball

* Thu Feb 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.11-3
- add copy of LICENSE from upstream

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.11-2
- add npm(urun) to BuildRequires

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.0.11-1
- initial package
